Page MenuHomePhabricator

[AlwaysInliner] Update BFI when inlining
ClosedPublic

Authored by aeubanks on Sep 25 2020, 11:03 AM.

Diff Detail

Event Timeline

aeubanks created this revision.Sep 25 2020, 11:03 AM
aeubanks requested review of this revision.Sep 25 2020, 11:04 AM
davidxl added inline comments.Oct 1 2020, 1:44 PM
llvm/test/Transforms/Inline/prof-update-sample.ll
10

Clone this function with always inline attribute instead of modifying the original function.

aeubanks updated this revision to Diff 295722.Oct 1 2020, 8:04 PM

copy test with alwaysinline callee

davidxl accepted this revision.Oct 2 2020, 9:51 AM

lgtm

This revision is now accepted and ready to land.Oct 2 2020, 9:51 AM
This revision was landed with ongoing or failed builds.Oct 2 2020, 10:27 AM
This revision was automatically updated to reflect the committed changes.